List targets in any blackout
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/blackouts/targets
Lists targets in any blackout by the supplied criteria.
Request
Query Parameters
-
blackoutName: array[string]
Name of the blackout.
-
blackoutNameMatches: array[string]
Name match of the blackout.
-
blackoutStatus: array[string]
Status of the blackout (SCHEDULED, START_PROCESSING, START_PARTIAL, START_FAILED, STARTED, STOP_PENDING, STOP_FAILED, STOP_PARTIAL, EDIT_FAILED, EDIT_PARTIAL, EDIT_PENDING, STOPPED, ENDED, END_PARTIAL)
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
-
sort: string
The sort field and direction. Allowed directions are ASC and DESC.Example:
targetName:ASC -
targetName: array[string]
Name of the target.
-
targetNameMatches: array[string]
Name match of the target.
-
targetType: array[string]
Type name of the target.
-
targetTypeMatches: array[string]
Type name match of the target.
-
timeToEndAfter: string
Start of time period for when blackouts ended/scheduled to end. Timestamps are with minute accuracy and can provide timezone.Example:
2021-03-01T21:23+01:00 -
timeToEndBefore: string
End of time period for when blackouts ended/scheduled to end. Timestamps are with minute accuracy and can provide timezone.Example:
2021-03-01T21:23+01:00 -
timeToStartAfter: string
Start of time period for when blackouts started/scheduled to start. Timestamps are with minute accuracy and can provide timezone.Example:
2021-03-01T21:23+01:00 -
timeToStartBefore: string
End of time period for when blackouts started/scheduled to start. Timestamps are with minute accuracy and can provide timezone.Example:
2021-03-01T21:23+01:00
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : BlackoutTargetsWithBlackoutsCollection
Type:
objectCollection of targets with their blackouts.
Show Source
-
count(required): integer
Number of items in this page.Example:
1 -
items(required): array
items
Target entries.
-
links(required): object
links
Result set navigation links.
Nested Schema : items
Type:
arrayTarget entries.
Show Source
-
Array of:
object BlackoutTargetWithBlackoutsSummary
A target with the list of blackouts affecting it.
Nested Schema : BlackoutTargetWithBlackoutsSummary
Type:
objectA target with the list of blackouts affecting it.
Show Source
-
blackouts: array
blackouts
List of blackouts for this target.
-
blackoutsCount: integer
Number of blackouts returned for this target.
-
Id: string
Target ID
-
links: object
links
Target related links.
-
name: string
Target Name
-
typeDisplayName: string
Localized target type display name.
-
typeName: string
Target Type Name
Nested Schema : blackouts
Type:
arrayList of blackouts for this target.
Show Source
-
Array of:
object ExtendedBlackoutSummary
Extended summary information about a blackout for a specific target.
Nested Schema : ExtendedBlackoutSummary
Type:
objectExtended summary information about a blackout for a specific target.
Show Source
-
blackoutStatus: string
Allowed Values:
[ "SCHEDULED", "START_PROCESSING", "START_PARTIAL", "START_FAILED", "STARTED", "STOP_PENDING", "STOP_FAILED", "STOP_PARTIAL", "EDIT_FAILED", "EDIT_PARTIAL", "EDIT_PENDING", "STOPPED", "ENDED", "END_PARTIAL" ]Blackout status. -
createdBy: string
User who created the blackout.
-
durationHours: integer
Duration of the blackout in hours. For indefinite, a negative value may be returned.
-
durationMinutes: integer
Duration of the blackout in minutes.
-
id: string
Blackout ID
-
isFullBlackout: string
Indicates if the blackout is full for this target (YES, NO, NA).
-
lastUpdatedBy: string
User who last updated the blackout.
-
links: object
links
Blackout related links.
-
name: string
Blackout Name
-
reason: string
blackout reason
-
repeat: object
Repeat
Describes repetition of a blackout.
-
status: string
Allowed Values:
[ "SCHEDULED", "START_PROCESSING", "START_PARTIAL", "START_FAILED", "STARTED", "STOP_PENDING", "STOP_FAILED", "STOP_PARTIAL", "EDIT_FAILED", "EDIT_PARTIAL", "EDIT_PENDING", "STOPPED", "ENDED", "END_PARTIAL" ]Blackout status. -
timeToEnd: string
End time of the blackout occurrence.
-
timeToStart: string
Start time of the blackout occurrence.
-
type: string
Default Value:
PATCHINGAllowed Values:[ "PATCHING", "NOTIFICATION", "NOTIFICATION_MAINTENANCE" ]Type of the blackout.
Nested Schema : Repeat
Type:
objectDescribes repetition of a blackout.
Show Source
-
timeToEndRepeat: string
End time of the repetition with timezone. Timestamps are with minute accuracy.Example:
2023-08-24T14:54-02:00
Match One Schema
Show Source
-
object
DaysOfYear
List of days of year.
-
object
DaysOfMonth
List of days of month in range 1-31 or -1 for last day of the month.
-
object
DaysOfWeek
List of days of week.
-
object
EveryNWeeks
Repeat every n weeks.
-
object
EveryNDays
Repeat every n days.
-
object
EveryNHours
Repeat every n hours.
-
object
EveryNMinutes
Repeat every n minutes, minimal value is 2.
Nested Schema : DaysOfYear
Type:
objectList of days of year.
Show Source
-
daysOfYear: array
daysOfYear
List of days of the year.
Nested Schema : DaysOfMonth
Type:
objectList of days of month in range 1-31 or -1 for last day of the month.
Show Source
-
daysOfMonth: array
daysOfMonth
List of days of the month (1 based).
Nested Schema : DaysOfWeek
Type:
objectList of days of week.
Show Source
-
daysOfWeek: array
daysOfWeek
List of days of week (localized short names).
Nested Schema : EveryNWeeks
Type:
objectRepeat every n weeks.
Show Source
-
everyNWeeks: integer
Repeat interval in weeks.Example:
2
Nested Schema : EveryNDays
Type:
objectRepeat every n days.
Show Source
-
everyNDays: integer
Repeat interval in days, minimal value is 1.Example:
5
Nested Schema : EveryNHours
Type:
objectRepeat every n hours.
Show Source
-
everyNHours: integer
Repeat interval in hours.Example:
2
Nested Schema : EveryNMinutes
Type:
objectRepeat every n minutes, minimal value is 2.
Show Source
-
everyNMinutes: integer
Repeat interval in minutes.Example:
45
Nested Schema : items
Type:
Show Source
object-
day: integer
Day in range 1-31 or -1 for last day of the month.
-
month: integer
Month in range of 1-12.
Nested Schema : daysOfMonth
Type:
arrayList of days of the month (1 based).
Show Source
Example:
[
1,
15
]Nested Schema : daysOfWeek
Type:
arrayList of days of week (localized short names).
Show Source
-
Array of:
string
Allowed Values:
[ "MO", "TU", "WE", "TH", "FR", "SA", "SU" ]
Example:
[
"MO",
"TH"
]401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description